import React, { Component } from 'react';
import { ResolveThunks } from 'react-redux';
import { toggleDispatcher } from '../../actions';
type DispatchProps = ResolveThunks<typeof actionCreators>;
interface OwnProps {
    dispatcherIsOpen: boolean;
}
type Props = DispatchProps & OwnProps;
declare class DispatcherButton extends Component<Props> {
    shouldComponentUpdate(nextProps: Props): boolean;
    render(): React.JSX.Element;
}
declare const actionCreators: {
    toggleDispatcher: typeof toggleDispatcher;
};
declare const _default: import("react-redux").ConnectedComponent<typeof DispatcherButton, {
    key?: React.Key | null | undefined;
    ref?: React.LegacyRef<DispatcherButton> | undefined;
    dispatcherIsOpen: boolean;
    context?: React.Context<import("react-redux").ReactReduxContextValue<any, import("redux").AnyAction>> | undefined;
    store?: import("redux").Store<any, import("redux").AnyAction> | undefined;
}>;
export default _default;
